ome-qtwidgets 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Functions
ome::qtwidgets::gl Namespace Reference

OpenGL rendering. More...

## Namespaces
| v20
| OpenGL v2.0 (compatibility profile).

## Classes
class | Axis2D
| 2D (xy) axis renderer. More...
class | Grid2D
| 2D (xy) grid renderer. More...
class | Image2D
| 2D (xy) image renderer. More...

## Functions
void | check_gl (std::string const &message)
| Check OpenGL status. More...

## Detailed Description

OpenGL rendering.

## Function Documentation

void ome::qtwidgets::gl::check_gl | ( | std::string const & | message | ) |

Check OpenGL status.

Call glGetError() and log the specified message with additional details if a problem was encountered.

Parameters

  message | the message to log on error.

Referenced by ome::qtwidgets::gl::Image2D::create(), ome::qtwidgets::GLView2D::initialize(), ome::qtwidgets::gl::v20::Axis2D::render(), ome::qtwidgets::gl::v20::Image2D::render(), ome::qtwidgets::gl::v20::Grid2D::render(), and ome::qtwidgets::GLView2D::render().

Here is the caller graph for this function: